Bug 1063050 - Review Request: rubygem-http_parser - This gem provides a high quality http parser library
Review Request: rubygem-http_parser - This gem provides a high quality http p...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-09 13:09 EST by Nitesh Narayan Lal
Modified: 2015-07-21 08:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-20 09:14:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nitesh Narayan Lal 2014-02-09 13:09:38 EST
Spec URL: http://niteshnarayan.fedorapeople.org/SPECS/rubygem-http_parser-0.1.3.spec
SRPM URL: http://niteshnarayan.fedorapeople.org/SRPMS/rubygem-http_parser-0.1.3-1.fc19.src.rpm  
Description:
This gem provides a high quality http parser library that can build request information iteratively as data comes over the line without requiring the caller to maintain the entire body of the request as a single string in memory.
Fedora Account System Username:
niteshnarayan
Comment 1 Mo Morsi 2014-02-20 09:14:16 EST
Hey Nitesh this is the old http_parser library, hasn't been updated in a few years, and I believe it is no longer maintained upstream:

https://rubygems.org/gems/http_parser

The newer one which em-websocket and em-http-request depends on is http_parser.rb

https://rubygems.org/gems/http_parser.rb

Note You need to log in before you can comment on or make changes to this bug.